Bug 199643 - restorecond should not run with selinux disabled
restorecond should not run with selinux disabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 19:01 EDT by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 14:19:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-07-20 19:01:45 EDT
Description of problem:
restorecond starts even with selinux disabled, and then it goes on over and over
trying to set the context of files such as /etc/mtab without ever succeeding.

Version-Release number of selected component (if applicable):
policycoreutils-1.30.17-5
Comment 1 Bill Nottingham 2006-08-01 15:13:23 EDT
Moreover, it should not touch the lock file in /var/lock/subsys if  it fails to
start.
Comment 2 Michal Jaegermann 2006-08-02 12:56:32 EDT
It looks to me that adding at the beginning of this script a line
like

[ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled || exit 0

would solve the issue right away.
Comment 3 Daniel Walsh 2006-08-02 14:19:52 EDT
Fixed in policycoreutils-1_30_22-2

Note You need to log in before you can comment on or make changes to this bug.